BillKit/Docs Console
Tenant

Get billing profile

Read your own registered country and VAT number.

GET/v1/tenant/billing_profile
Operation get_billing_profile · Scope tenant:read · Spec snapshot 2026-09-13

Parameters

This endpoint takes no parameters.

Returns

Returns a TenantBillingProfileResponse object.

Errors

Status Cause
401 Missing or invalid API key.
403 Key is missing the tenant:read scope.
429 Rate limited. Back off and retry.
Request · curl
curl -X GET https://api.billkit.eu/v1/tenant/billing_profile \
  -H "Authorization: Bearer $BILLKIT_SECRET_KEY"
Response · 200 OK
{
  "address_line1": "string",
  "address_line2": "string",
  "city": "string",
  "country_code": "NL",
  "effective_country_code": "NL",
  "object": "tenant_billing_profile",
  "postal_code": "string",
  "registration_number": "string",
  "tenant_id": "tenant_9XKp2vQ1",
  "vat_id": "vat_9XKp2vQ1"
}